<?php
session_start();

define( 'ROOT', 'http://'.$_SERVER['HTTP_HOST'] );
define( 'ROOT_DIR', $_SERVER['DOCUMENT_ROOT'] );

include_once ROOT_DIR . '/engine/config.php';
include_once ROOT_DIR . '/engine/func.php';
if ( !isset( $_SESSION['id'] ) ) {
    echo '<div class="big_topics bor_top round3 FFF hr"><font color="red"><b>Ошибка!</b> Вы не авторизированы.<br />Пожалуйста, воспользуйтесь формой авторизации.</font></div>';
} else {
$config_user = $pdo->Query("SELECT * from php_user WHERE id = '" . $_SESSION['id'] . "'")->fetch(PDO::FETCH_BOTH);
/*---Обрезаем email для защиты---*/
$start_end_email = preg_match( "/^([a-z0-9\-\.\_]+)(@[a-z0-9]+(?:\.?[a-z0-9]+)?\.[a-z]{2,5})/is", $config_user['email'], $outemail );
$sec_email_user = substr( $outemail[1], 0, 1 ) . '*******' . substr( $outemail[1], -1) . $outemail[2];

/*---Дата последнего входа---*/
 $month = array( 'янв', 'фев', 'мар', 'апр', 'май', 'июн', 'июл', 'авг', 'сен', 'окт', 'ноя', 'дек' );
 if ( date( 'd.m.Y', $config_user['regdata'] ) == date( 'd.m.Y', time() ) ) {
  $frd_logindate = 'сегодня в ' . date( 'H:i', $config_user['regdata'] ) . '';
 } else {
  $frd_logindate = '' . ( int ) date( 'd', $config_user['regdata'] ) . ' ' . $month[( int ) date( 'm', $config_user['regdata'] ) - 1] . ' ' . date( 'Y', $config_user['regdata'] ) . '';
 }

$_SESSION['tov']=$_GET['id'];

?>
<script type="text/javascript">
    $(document).ready(function(){

    $('.btn_up_avatar').on("click", trigbutton);
    function trigbutton() {
        $('#addavatar').trigger('click');
    }


});


function addavatar() {
    var file = document.getElementById('addavatar').files[0];

    var fd = new FormData();


    fd.append("addavatar", file);
    fd.append("tov", <?=(int)$_GET['id']?>);

    xhr = new XMLHttpRequest();
    xhr.open("post", "ajax.php?func=addavatar");
    xhr.addEventListener("load", uploadComplete, false);
    xhr.send(fd);
    return false;
}
function uploadComplete(evt) {
    if (evt.target.responseText == 1) {
        $('body').Qnotify({text:'Скрин успешно добавлен', sound:'error'});
        reloadpage.leftprofiles();
        $('#addavatar').val('');
    } else {
        $('body').Qnotify({text:evt.target.responseText, sound:'error'});
    }
}

</script>
<div class="big_topics bor_top round3 FFF hr">
       
       <div class="wrap_user_r">
       <div class="top_games_small">Загрузка скриншотов к товару: <?=$_GET['id']?></div>

        <?
        $sc_ajax = mysql_fetch_array( mysql_query( "SELECT id FROM php_tovar WHERE id = '".(int)$_GET['id']."' and user = '" . $_SESSION['id'] . "'" ) );

        if ( $_GET['id'] == ( int ) $sc_ajax['id'] ) {

        ?>



<input type="file" name="addavatar" id="addavatar" onchange="addavatar(); return false;" style="visibility:hidden;" /><div style="width: 100px; text-align:center;margin: 0px auto;" class="btn_up_avatar fb round3" id="btn_up_avatar">Добавить</div>


        <?
         } else {
        echo '<script type="text/javascript">
window.location = "/404.php"
</script>';


      }


        ?>



       </div>
 </div>
<?}?>